Bug 1760260 - Breezy errors with Python 3.8: The branch lp:brz has no revision None
Summary: Breezy errors with Python 3.8: The branch lp:brz has no revision None
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: breezy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-10-10 09:34 UTC by Miro Hrončok
Modified: 2019-10-19 09:42 UTC (History)
3 users (show)

Fixed In Version: breezy-3.0.1-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 09:42:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1844684 0 None None None 2019-10-10 09:36:11 UTC

Description Miro Hrončok 2019-10-10 09:34:32 UTC
$ brz init-repo brz

Shared repository with trees (format: 2a)
Location:
  shared repository: brz

$ cd brz

$ brz branch lp:brz brz.dev
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data. See "bzr help launchpad-login".
    96kB 14kB/s |
brz: ERROR: The branch lp:brz has no revision None.


The traceback is:

Traceback (most recent call last):
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/builtins.py", line 1513, in run
    to_dir = br_from.controldir.sprout(
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/bzr/bzrdir.py", line 380, in sprout
    return operation.run(
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/cleanup.py", line 132, in run
    return _do_with_cleanups(
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/cleanup.py", line 166, in _do_with_cleanups
    result = func(*args, **kwargs)
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/bzr/bzrdir.py", line 435, in _sprout
    fetch_spec = fetch_spec_factory.make_fetch_spec()
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/bzr/fetch.py", line 429, in make_fetch_spec
    return vf_search.NotInOtherForRevs(self.target_repo, self.source_repo,
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/bzr/vf_search.py", line 375, in execute
    return self.to_repo.search_missing_revision_ids(
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/repository.py", line 585, in search_missing_revision_ids
    return InterRepository.get(other, self).search_missing_revision_ids(
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/bzr/vf_repository.py", line 2429, in search_missing_revision_ids
    result = self._walk_to_common_revisions(revision_ids,
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/bzr/vf_repository.py", line 2396, in _walk_to_common_revisions
    raise errors.NoSuchRevision(
breezy.errors.NoSuchRevision: CHKInventoryRepository('http://bazaar.launchpad.net/~brz/brz/trunk/.bzr/repository/') has no revision b'breezy.the.bot@gmail.com-20190905032217-hzhc5xww3om1c7jm'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/commands.py", line 1016, in exception_to_return_code
    return the_callable(*args, **kwargs)
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/commands.py", line 1202, in run_bzr
    ret = run(*run_argv)
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/commands.py", line 759, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/commands.py", line 784, in run
    return self._operation.run_simple(*args, **kwargs)
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/cleanup.py", line 136, in run_simple
    return _do_with_cleanups(
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/cleanup.py", line 166, in _do_with_cleanups
    result = func(*args, **kwargs)
  File "/usr/local/lib64/python3.8/site-packages/breezy-3.0.1-py3.8-linux-x86_64.egg/breezy/builtins.py", line 1526, in run
    raise errors.BzrCommandError(msg)
breezy.errors.BzrCommandError: The branch lp:brz has no revision None.


I was not able to reproduce this on Python 3.7, only with 3.8.

Comment 1 Miro Hrončok 2019-10-10 09:36:12 UTC
Upstream bug: https://bugs.launchpad.net/bugs/1844684

As a workaround, we can turn off the C extension modules.

Comment 3 Miro Hrončok 2019-10-11 15:42:31 UTC
The workaround has been pushed. Keeping this open to track the actual solution. Removing the high severity flag.

Comment 4 Miro Hrončok 2019-10-19 09:42:17 UTC
Fixed properly.


Note You need to log in before you can comment on or make changes to this bug.